#'  A data set about cardealers, 2 of 4, to be used in DEA
#' 
#' An example dataset with six car dealers data to be use in DEA (Data Envelopment Analysis).
#' 
#' @name cardealers2
#' @docType data
#' @keywords data
#' @seealso See also \code{\link{adea-package}}.
#' 
#' @section Usage:
#' data('cardealers2')
#' 
#' @format 
#' \code{Employess}: The number of employees in the car dealer to be considered as input variable in DEA.
#' 
#' \code{CarsSold}: The number of car sold by the car dealer to be considered as output variable in DEA.
#'
#' \code{WorkOrders}: The number of works orders for the mechanical garage to be considered as output variable in DEA.
#' 
#' @details
#' The purpose of this dataframe is to be used in DEA (Data Envelopment Analysis).
#' DEA rate each unit, in this case car dealers, in terms of efficiency.
#' Less input and more output lead to higher efficiency scores.
#' 
#' @source
#'\emph{Vicente Coll Serrano y Olga M. Blasco Blasco} (2006) 
#' Evaluacion de la eficiencia mediante el analisis envolvente de datos. 
#' Electronic edition.
#' \url{https://www.eumed.net/libros-gratis/2006c/197/}
#' 
NULL
